---
search:
  tags:
    - Orders
    - GET
seo:
  description: >-
    List all orders for the app with filtering and pagination (max 50 per…
    Reference for the GET /api/v1/{app_id}/lookup/orders endpoint in the
    Customers API.
sidebar:
  label: List all orders for an app
  badge: GET
title: List all orders for an app
type: openapi-operation
---
List all orders for the app with filtering and pagination (max 50 per page). Authenticated via service token.

`GET /api/v1/{app_id}/lookup/orders`

**Responses**

- `200` — OK
- `400` — Invalid request
- `500` — Internal server error

Response example, 200:

```json
{
  "limit": 0,
  "orders": [
    {
      "app_id": "string",
      "billing_address": "string",
      "bonus_total": 0,
      "country_code": "string",
      "created_at": "string",
      "currency_code": "string",
      "discount_total": 0,
      "gift_card_total": 0,
      "grand_total": 0,
      "id": "string",
      "language_code": "string",
      "lines": [
        {
          "base_price_amount": 0,
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "order_id": "string",
          "product": {
            "brand": {
              "id": "string",
              "name": "string",
              "slug": "string",
              "variant": "string"
            },
            "created_at": "string",
            "custom": {
              "property1": null,
              "property2": null
            },
            "description": "string",
            "html_description": "string",
            "html_short_description": "string",
            "id": "string",
            "images": [
              {
                "alt_text": "string",
                "blurhash": "string",
                "custom": {
                  "property1": null,
                  "property2": null
                },
                "id": "string",
                "image_url": "string",
                "title": "string"
              }
            ],
            "product_name": "string",
            "product_number": "string",
            "short_description": "string",
            "slug": "string",
            "status": "string",
            "translations_description": {
              "property1": null,
              "property2": null
            },
            "translations_html_description": {
              "property1": null,
              "property2": null
            },
            "translations_html_short_description": {
              "property1": null,
              "property2": null
            },
            "translations_product_name": {
              "property1": null,
              "property2": null
            },
            "translations_short_description": {
              "property1": null,
              "property2": null
            },
            "translations_slug": {
              "property1": null,
              "property2": null
            },
            "updated_at": "string",
            "variants": [
              {
                "created_at": "string",
                "id": "string",
                "images": [
                  {
                    "alt_text": "string",
                    "blurhash": "string",
                    "custom": {
                      "property1": null,
                      "property2": null
                    },
                    "id": "string",
                    "image_url": "string",
                    "title": "string"
                  }
                ],
                "prices": [
                  {
                    "amount_cents_with_tax": 0,
                    "country_codes": [
                      "string"
                    ],
                    "created_at": "string",
                    "id": "string",
                    "market_id": "string",
                    "market_slug": "string",
                    "on_sale": true,
                    "reference_price": 0,
                    "sale_end_date": "string",
                    "sale_price_with_tax": 0,
                    "sale_start_date": "string",
                    "status": "string",
                    "store_group": "string",
                    "store_group_slug": "string",
                    "updated_at": "string",
                    "variant_id": "string"
                  }
                ],
                "product_id": "string",
                "status": "string",
                "translations_name": {
                  "property1": null,
                  "property2": null
                },
                "updated_at": "string",
                "validate_stock": true,
                "variant_name": "string",
                "variant_number": "string"
              }
            ]
          },
          "product_id": "string",
          "quantity": 0,
          "tax_group_id": "string",
          "total_discount_amount": 0,
          "total_price_amount": 0,
          "total_sale_price": 0,
          "total_tax_amount": 0,
          "updated_at": "string",
          "variant": {
            "created_at": "string",
            "id": "string",
            "images": [
              {
                "alt_text": "string",
                "blurhash": "string",
                "custom": {
                  "property1": null,
                  "property2": null
                },
                "id": "string",
                "image_url": "string",
                "title": "string"
              }
            ],
            "prices": [
              {
                "amount_cents_with_tax": 0,
                "country_codes": [
                  "string"
                ],
                "created_at": "string",
                "id": "string",
                "market_id": "string",
                "market_slug": "string",
                "on_sale": true,
                "reference_price": 0,
                "sale_end_date": "string",
                "sale_price_with_tax": 0,
                "sale_start_date": "string",
                "status": "string",
                "store_group": "string",
                "store_group_slug": "string",
                "updated_at": "string",
                "variant_id": "string"
              }
            ],
            "product_id": "string",
            "status": "string",
            "translations_name": {
              "property1": null,
              "property2": null
            },
            "updated_at": "string",
            "validate_stock": true,
            "variant_name": "string",
            "variant_number": "string"
          },
          "variant_id": "string"
        }
      ],
      "merchant_user_id": "string",
      "payment_method": "string",
      "payment_method_id": "string",
      "payment_method_name": "string",
      "reference": "string",
      "session_id": "string",
      "shipping_address": "string",
      "shipping_methods": [
        "string"
      ],
      "shipping_total": 0,
      "source": "string",
      "status": "string",
      "sub_total": 0,
      "tax_total": 0,
      "updated_at": "string"
    }
  ],
  "page": 0,
  "total": 0,
  "total_pages": 0
}
```
